<div class=" ui-g-12 ui-md-12 ui-lg-12 ui-xl-12">
        <p-toast [style]="{marginTop: '50px'}" position="top-right" key="form-toast"></p-toast>
        <p-card class="centralized">
          <p-header class="header-card-form">
            <div class="ui-helper-clearfix title-card-header"  >
              <b><span class="ui-g-12" >Cadastro de filme</span></b>
            </div>
          </p-header>
        <form [formGroup]="filmeForm" >
          <div class="">
            <div class="ui-g ui-fluid">
              <div class="ui-md-6">
                <label class="required"  for="itemName">Nome do filme:</label>
                <div class="ui-inputgroup">
                  <input #nomeFormInput type="text" id="nome" name="nome" pInputText formControlName="nome" autocomplete="off" />
                </div>
              </div>
      
              <div class="ui-md-6">
                <label for="itemName">Tipo de filme:</label>
                <div class="ui-g">
                    <p-dropdown [options]="tipos" id="tipo" formControlName="tipo" (onChange)="onChange($event)" ></p-dropdown>
                </div>
              </div>

              <div class="ui-g-12 ui-md-6 ui-lg-4">
                  <label for="itemName">Quantidade:</label>
                  <div class="ui-inputgroup">
                      <p-spinner id="quantidade" [min]="1" [max]="100" formControlName="quantidade"></p-spinner>
                  </div>
                </div>

                <div class="ui-g-12">
                  <label for="itemName">Imagem:</label>
                  <div class="ui-inputgroup">
                <p-galleria [images]="images"  panelWidth="300" panelHeight="313" [showCaption]="false"></p-galleria>
              </div>
            </div>
            <div class="ui-g-12 ui-md-6 ui-lg-4">
                <div class="ui-inputgroup">
            <p-fileUpload #fubauto mode="basic" name="demo[]"  accept="image/*" maxFileSize="1000000" (onSelect)="onSelect($event)" [auto]="false" chooseLabel="Imagem"></p-fileUpload>
                </div>
            </div>
              <div class="ui-g-12">
                <label for="itemName">Descrição:</label>
                <div class="ui-inputgroup">
                  <textarea id="descricao" formControlName="descricao" pInputTextarea autoResize="autoResize"></textarea>
                </div>
              </div>
      
            </div>

            <p-footer>
              <div class="group-button">
                <button pButton type="button" (click)="onSave($event)" label="Salvar" class="ui-button-raised ui-button-success"></button>
                <button pButton type="button" (click)="onCancel()" label="Cancelar" class="ui-button-raised ui-button-danger"></button>
              </div>
            </p-footer>
          </div>
        </form>
      </p-card>
      </div>
      
      